package de.intevation.flys.client.server;

import java.io.InputStream;
import java.io.IOException;

import java.util.Map;
import java.util.HashMap;
import java.util.Enumeration;

import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.w3c.dom.Element;

import org.apache.log4j.Logger;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

import de.intevation.artifacts.common.utils.XMLUtils;

import de.intevation.artifacts.httpclient.http.HttpClient;
import de.intevation.artifacts.httpclient.http.HttpClientImpl;
import de.intevation.artifacts.httpclient.exceptions.ConnectionException;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.client.services.MapUrlService;


public class MapUrlServiceImpl
extends      RemoteServiceServlet
implements   MapUrlService
{

    private static final Logger logger =
        Logger.getLogger(MapUrlServiceImpl.class);


    public Map<String, String> getUrls()
    throws ServerException
    {
        logger.info("MapUrlServiceImpl.getUrls");
        Map<String, String> urls = new HashMap<String, String>();

        InputStream in = getServletContext().getResourceAsStream("/WEB-INF/wms-services.xml");

        Document doc = XMLUtils.parseDocument(in);

        NodeList list = doc.getElementsByTagName("wms");
        for (int i = 0; i < list.getLength(); i++) {
            Element e = (Element) list.item(i);
            urls.put(e.getAttribute("url"), e.getAttribute("name"));
        }

        return urls;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
